*, :after, :before {
    box-sizing: inherit;
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
}

html {
    box-sizing: border-box
}

h1, h2, h3, h4, h5, h6 {
    font-size: inherit;
    font-weight: inherit;
    margin: 0
}

p {
    margin: 0
}

picture {
    display: block
}

img {
    display: block;
    border: none
}

img, svg {
    vertical-align: middle
}

a {
    background-color: transparent;
    color: inherit;
    text-decoration: none
}

:focus {
    outline: none
}

button {
    all: unset
}

:root {
    --logo-top-coeff: 0.10;
    --logo-mb-coeff: 0.10;
}

body {
    line-height: 1;
    text-rendering: optimizeSpeed;
    -webkit-text-decoration-skip: objects;
    -webkit-text-size-adjust: 100%;
    -webkit-font-smoothing: antialiased;
    -webkit-tap-highlight-color: transparent;
    font-style: normal;
    text-transform: uppercase;
    height: -webkit-fill-available;
    display: flex;
    flex-direction: column;
    height: 100dvh;
    position: relative;
    font-variation-settings: "wdth" 100;
}

.main {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    background-size: cover;
    z-index: 1;
    overflow-x: hidden;
}

.main:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.content {
    flex: 1;
    position: relative;
    z-index: auto;
    display: flex;
    pointer-events: auto;
    width: 100%;
    overflow-y: clip;
}

.logo {
    position: relative;
    z-index: 10;
    aspect-ratio: 316 / 101;
    max-width: 316px;
}

@media (orientation: portrait) and (min-width: 0px) {
    .main {
        padding-top: clamp(16px, min(5vw, 3vh), 50px);
        justify-content: flex-start;
        background: image-set(
                url("../img/bg/bg_mobile_portrait@1x.webp") 1x,
                url("../img/bg/bg_mobile_portrait@2x.webp") 2x
        ) center/cover no-repeat;
    }

    .logo {
        margin-bottom: clamp(16px, min(10vw, 5vh), 50px);
        width: clamp(80px, min(35vw, 21vh), 316px);
    }
}

@media (orientation: portrait) and (min-width: 768px) and (min-height: 1024px) {
    .main {
        background: image-set(
                url("../img/bg/bg_tablet_portrait@1x.webp") 1x,
                url("../img/bg/bg_tablet_portrait@2x.webp") 2x
        ) center/cover no-repeat;
    }

    .logo {
        margin-bottom: 24px;
    }

    .main:before {
        background: image-set(
                url("../img/mask/mask_star_tablet@1x.webp") 1x,
                url("../img/mask/mask_star_tablet@2x.webp") 2x
        ) right/cover no-repeat;
    }
}

@media (orientation: landscape) and (min-width: 0px) {
    .main {
        flex-direction: row;
        background: image-set(
                url("../img/bg/bg_mobile_landscape@1x.webp") 1x,
                url("../img/bg/bg_mobile_landscape@2x.webp") 2x
        ) center/cover no-repeat;
    }

    .main:before {
        background: image-set(
                url("../img/mask/mask_star_mobile@1x.webp") 1x,
                url("../img/mask/mask_star_mobile@2x.webp") 2x
        ) center/contain no-repeat;
    }

    .logo {
        position: absolute;
        top: calc(var(--girl-width) * var(--logo-top-coeff));
        width: clamp(100px, min(14vw, 23vh), 316px);
    }
}

@media (orientation: landscape) and (min-width: 1024px) {
    .main {
        background: image-set(
                url("../img/bg/bg_tablet_landscape@1x.webp") 1x,
                url("../img/bg/bg_tablet_landscape@2x.webp") 2x
        ) center/cover no-repeat;
    }

    .main:before {
        background: image-set(
                url("../img/mask/mask_star_tablet@1x.webp") 1x,
                url("../img/mask/mask_star_tablet@2x.webp") 2x
        ) center/contain no-repeat;
    }
}

@media (orientation: landscape) and (min-width: 1440px) {
    .main {
        background: image-set(
                url("../img/bg/bg_desktop_landscape@1x.webp") 1x,
                url("../img/bg/bg_desktop_landscape@2x.webp") 2x
        ) center/cover no-repeat;
    }

    .main:before {
        background: image-set(
                url("../img/mask/mask_star_desktop@1x.webp") 1x,
                url("../img/mask/mask_star_desktop@2x.webp") 2x
        ) center/contain no-repeat;
    }
}
